## libmemcached 1.0.8

=== debian/changelog ===
libmemcached (1.0.8-1ubuntu2) trusty; urgency=medium

  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Dec 2013 23:23:55 +0000

libmemcached (1.0.8-1ubuntu1) saucy; urgency=low

  * Use dh --with autotools-dev to update config.{sub,guess} for new ports.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 27 Sep 2013 13:08:56 -0600

libmemcached (1.0.8-1) unstable; urgency=low

  * New upstream release.
  * Clean up files to allow two builds in a row.
  * Fix duplicate Copyright fields.
  * Switch to dh format 9:
     + Enable hardening.
     + Enable mutli-arch.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 30 May 2012 14:16:50 +0200

libmemcached (1.0.6-1) unstable; urgency=low

  * New upstream release (Closes: #667620).
  * Remove gcc-4.7 patch as it has been integrated upstream.
  * Bump soname for both libmemcached and libhashkit.
  * Update copyright years.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 11 Apr 2012 15:06:20 +0200

libmemcached (1.0.5-2) unstable; urgency=low

  * Add patch to fix gcc-4.7 FTBFS (Closes: #667248).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 04 Apr 2012 14:31:18 +0200

libmemcached (1.0.5-1) unstable; urgency=low

  * New upstream release.
  * Allow HTTPS urls in d/watch.
  * Bump standards version to 3.9.3.
  * Remove all symbols files.
  * Update DEP5 url to 1.0.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Sat, 24 Mar 2012 10:08:29 +0100

=== debian/control ===
Source: libmemcached
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Michael Fladischer <FladischerMichael@fladi.at>
Build-Depends: autoconf,
               dh-autoreconf,
               automake (>= 1.10),
               debhelper (>= 9),
               libcloog-ppl-dev,
               libevent-dev,
               libsasl2-dev,
               libtool
Standards-Version: 3.9.3
Section: libs
Homepage: http://libmemcached.org/libMemcached.html
Vcs-Browser: http://git.fladi.at/libmemcached.git/
Vcs-Git: http://git.fladi.at/libmemcached.git/

Package: libmemcached10
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libmemcached2, libmemcached3, libmemcached6, libmemcached9
Description: C and C++ client library to the memcached server
 libmemcached is a C and C++ client library to the memcached server
 (http://memcached.org/). It has been designed to be light on memory
 usage, thread safe, and provide full access to server side methods.
 .
 A few notes on its design:
 .
   * Synchronous and Asynchronous support.
   * Access to large object support.
   * Local replication.
   * TCP and Unix Socket protocols.
   * A half dozen or so different tuneable hash algorithms.
   * Implementations of the new cas, replace, and append operators.
   * Man pages written up on entire API.
   * Implements both modulo and consistent hashing solutions.
   * Tools to Manage your Memcached networks.
 .
 This package provides the libmemcached shared library itself.

Package: libmemcached-dev
Section: libdevel
Architecture: any
Depends: libhashkit-dev (=${binary:Version}),
         libmemcached10 (= ${binary:Version}),
         libmemcachedprotocol0 (= ${binary:Version}),
         libmemcachedutil2 (= ${binary:Version}),
         libsasl2-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: C and C++ client library to the memcached server (development files)
 libmemcached is a C and C++ client library to the memcached server
 (http://memcached.org/). It has been designed to be light on memory
 usage, thread safe, and provide full access to server side methods.
 .
 A few notes on its design:
 .
   * Synchronous and Asynchronous support.
   * Access to large object support.
   * Local replication.
   * TCP and Unix Socket protocols.
   * A half dozen or so different tuneable hash algorithms.
   * Implementations of the new cas, replace, and append operators.
   * Man pages written up on entire API.
   * Implements both modulo and consistent hashing solutions.
   * Tools to Manage your Memcached networks.
 .
 This package provides the development files.

Package: libmemcached-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libhashkit2 (=${binary:Version}),
         libmemcached10 (= ${binary:Version}),
         libmemcachedprotocol0 (= ${binary:Version}),
         libmemcachedutil2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Debug Symbols for libmemcached
 libmemcached is a C and C++ client library to the memcached server
 (http://memcached.org/). It has been designed to be light on memory
 usage, thread safe, and provide full access to server side methods.
 .
 A few notes on its design:
 .
   * Synchronous and Asynchronous support.
   * Access to large object support.
   * Local replication.
   * TCP and Unix Socket protocols.
   * A half dozen or so different tuneable hash algorithms.
   * Implementations of the new cas, replace, and append operators.
   * Man pages written up on entire API.
   * Implements both modulo and consistent hashing solutions.
   * Tools to Manage your Memcached networks.
 .
 This package provides debug symbols.

Package: libmemcachedutil2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library implementing connection pooling for libmemcached
 libmemcached is a C and C++ client library to the memcached server
 (http://memcached.org/). It has been designed to be light on memory
 usage, thread safe, and provide full access to server side methods.
 .
 A few notes on its design:
 .
   * Synchronous and Asynchronous support.
   * Access to large object support.
   * Local replication.
   * TCP and Unix Socket protocols.
   * A half dozen or so different tuneable hash algorithms.
   * Implementations of the new cas, replace, and append operators.
   * Man pages written up on entire API.
   * Implements both modulo and consistent hashing solutions.
   * Tools to Manage your Memcached networks.
 .
 This package provides the libmemcachedutil library.

Package: libmemcachedprotocol0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library implementing the memcached protocol
 libmemcached is a C and C++ client library to the memcached server
 (http://memcached.org/). It has been designed to be light on memory
 usage, thread safe, and provide full access to server side methods.
 .
 A few notes on its design:
 .
   * Synchronous and Asynchronous support.
   * Access to large object support.
   * Local replication.
   * TCP and Unix Socket protocols.
   * A half dozen or so different tuneable hash algorithms.
   * Implementations of the new cas, replace, and append operators.
   * Man pages written up on entire API.
   * Implements both modulo and consistent hashing solutions.
   * Tools to Manage your Memcached networks.
 .
 This package provides the libmemcachedprotocol shared library.

Package: libhashkit2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libhashkit1
Description: libmemcached hashing functions and algorithms
 libhashkit is a small and thread-safe client library that provides a
 collection of useful hashing algorithm. libhashkit is distributed with
 libmemcached.
 .
 This package provides the libhashkit shared library.

Package: libhashkit-dev
Section: libdevel
Architecture: any
Replaces: libmemcached-dev (<< 1.0.3-1)
Breaks: libmemcached-dev (<< 1.0.3-1)
Depends: libhashkit2 (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: libmemcached hashing functions and algorithms (development files)
 libhashkit is a small and thread-safe client library that provides a
 collection of useful hashing algorithm. libhashkit is distributed with
 libmemcached.
 .
 This package provides the development files.

Package: libmemcached-tools
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Commandline tools for talking to memcached via libmemcached
 libmemcached is a C and C++ client library to the memcached server
 (http://memcached.org/). It has been designed to be light on memory
 usage, thread safe, and provide full access to server side methods.
 .
 This package provides several command line tools:
 .
   * memccat - Copy the value of a key to standard output
   * memcflush - Flush the contents of your servers.
   * memcrm - Remove a key(s) from the serrver.
   * memccp - Copy files to a memached server.
   * memcstat - Dump the stats of your servers to standard output
   * memcslap - Generate testing loads on a memcached cluster

=== debian/rules ===
#!/usr/bin/make -f

TMP=$(CURDIR)/debian/tmp/

%:
	dh $@ --with autoreconf

override_dh_auto_install:
	dh_auto_install
	# Naming conflict: rename commandline programs
	for memfile in $(TMP)/usr/bin/mem* $(TMP)/usr/share/man/man1/mem*.1 ; do \
		mv $$memfile `echo $$memfile | sed 's/\bmem/memc/'` ; \
	done

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_strip:
	dh_strip --dbg-package=libmemcached-dbg

override_dh_auto_test:

get-orig-source:
	uscan --verbose --force-download --rename --repack --destdir=..

=== debian/watch ===
version=3
https://launchpad.net/libmemcached/+download \
https?://launchpad.net/libmemcached/[\d\.]+/[\d\.]+/\+download/libmemcached-([\d\.]+).tar.gz

## libmemcached 1.0.18

=== debian/changelog ===
libmemcached (1.0.18-4) unstable; urgency=medium

  * Add move-ax_confix_aux_dir.patch to move AC_CONFIG_AUX_DIR up a few lines
    so autofoo can find it (Closes: #768688).
  * Bump Standards-Version to 3.9.6.
  * Update Vcs-Browser field.
  * Move main license entry to top in d/copyright.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 12 Nov 2014 07:49:47 +0100

libmemcached (1.0.18-3) unstable; urgency=low

  * Upload to unstable.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 19 Mar 2014 08:45:30 +0100

libmemcached (1.0.18-2) experimental; urgency=low

  * Include c++11.patch to prevent relying on C++11 features in
    reverse-dependencies (Closes: #740940,#740941,#740935).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 17 Mar 2014 14:55:32 +0100

libmemcached (1.0.18-1) experimental; urgency=medium

  * Imported Upstream version 1.0.18 (Closes: #724729,#688089).
  * Move git packaging repository to alioth.
    Update Vcs-* fields accordingly.
  * Bump Standards-Version to 3.9.5.
  * Check PGP detached signature for source tarball.
    + Add upstream signing key DA248813 in d/upstream-signing-key.pgp.
    + Add pgpsigurlmangle option to d/watch.
  * Fix typos in long description, thanks to
    Pascal De Vuyst (Closes: #732764).
  * Update years in d/copyright.
  * Make Build-Depends on automake unversioned.
  * Make license short names in d/copyright conformant to machine readable
    format 1.0:
     + BSD-TangentOrg to BSD-3-clause-TangentOrg
     + "Paul Hsieh derivative license" to Paul-Hsieh
     + "RSA Data Security License" to RSA-Data-Security
     + "Bob Jenkins License" to Bob-Jenkins
     + BSD-Sun to BSD-3-clause-Sun
     + BSD to BSD-3-clause
  * Add lintian overrides for missing symbol files.
  * Include debian/upstream-signing-key.pgp in the allowed binary files.
  * Remove patches included in upstream:
     + autoconf_ax_memcached
     + gcc-4.8.patch
  * Unfuzz patches:
     + fix_spelling.patch
     + hurd.patch

 -- Michael Fladischer <FladischerMichael@fladi.at>  Fri, 28 Feb 2014 09:57:26 +0100

libmemcached (1.0.17-2) experimental; urgency=low

  * Add hurd.patch to fix build failures on GNU/Hurd, thanks to Pino Toscano
    (Closes: #644657).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Mon, 17 Jun 2013 08:43:46 +0200

libmemcached (1.0.17-1) experimental; urgency=low

  [ Faidon Liambotis ]
  * New upstream release.
    - Fixes FTBFS on multiple architectures.
  * Add patch autoconf_ax_memcached, fixing an upstream bug manifesting in the
    absence of a memcached binary during the execution of the test suite.
  * Add --with autoreconf to dh and build-depend on dh_autoreconf; necessary
    for the above autoconf patch to work.
  * Remove patch fix-for-gcc47.patch from source: not in series, applied
    upstream.

  [ Michael Fladischer ]
  * Bump Standards version to 3.9.4.
  * Add 'Multi-Arch: same' to -dbg package.
  * Add patch m4_pthread, which fixes the flags for pthreads.
  * Add patch gcc-4.8, fixing incompatible flags with gcc-4.8 (taken from
    upstream BTS).

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 12 Jun 2013 13:18:36 +0200

libmemcached (1.0.16-1) experimental; urgency=low

  * New upstream release.
  * Update spelling patch.
  * Remove conflicts on older versions of libmemcached and libhashkit
    (Closes:700091).
  * Update spelling patch.
  * Install libhashkit2 manpages manually.
  * Bump SONAME to 11 for libmemcached.
  * Manually install libmemcached manpages.
  * Update naming conflict resolution to cope with new manpages.
  * Drop libmemcachedprotocol package as it is broken and no longer maintained
    in upstream.
  * Manually install libmemcached-tools manpages.

 -- Michael Fladischer <FladischerMichael@fladi.at>  Wed, 13 Feb 2013 12:15:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,25 @@
 Source: libmemcached
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Michael Fladischer <FladischerMichael@fladi.at>
+Maintainer: Michael Fladischer <FladischerMichael@fladi.at>
 Build-Depends: autoconf,
+               automake,
+               debhelper (>= 9),
                dh-autoreconf,
-               automake (>= 1.10),
-               debhelper (>= 9),
                libcloog-ppl-dev,
                libevent-dev,
                libsasl2-dev,
                libtool
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://libmemcached.org/libMemcached.html
-Vcs-Browser: http://git.fladi.at/libmemcached.git/
-Vcs-Git: http://git.fladi.at/libmemcached.git/
+Vcs-Git: git://anonscm.debian.org/collab-maint/libmemcached.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/libmemcached.git
 
-Package: libmemcached10
+Package: libmemcached11
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Conflicts: libmemcached2, libmemcached3, libmemcached6, libmemcached9
 Description: C and C++ client library to the memcached server
  libmemcached is a C and C++ client library to the memcached server
  (http://memcached.org/). It has been designed to be light on memory
@@ -45,8 +43,7 @@
 Section: libdevel
 Architecture: any
 Depends: libhashkit-dev (=${binary:Version}),
-         libmemcached10 (= ${binary:Version}),
-         libmemcachedprotocol0 (= ${binary:Version}),
+         libmemcached11 (= ${binary:Version}),
          libmemcachedutil2 (= ${binary:Version}),
          libsasl2-dev,
          ${misc:Depends},
@@ -74,9 +71,9 @@
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: libhashkit2 (=${binary:Version}),
-         libmemcached10 (= ${binary:Version}),
-         libmemcachedprotocol0 (= ${binary:Version}),
+         libmemcached11 (= ${binary:Version}),
          libmemcachedutil2 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -123,36 +120,11 @@
  .
  This package provides the libmemcachedutil library.
 
-Package: libmemcachedprotocol0
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: library implementing the memcached protocol
- libmemcached is a C and C++ client library to the memcached server
- (http://memcached.org/). It has been designed to be light on memory
- usage, thread safe, and provide full access to server side methods.
- .
- A few notes on its design:
- .
-   * Synchronous and Asynchronous support.
-   * Access to large object support.
-   * Local replication.
-   * TCP and Unix Socket protocols.
-   * A half dozen or so different tuneable hash algorithms.
-   * Implementations of the new cas, replace, and append operators.
-   * Man pages written up on entire API.
-   * Implements both modulo and consistent hashing solutions.
-   * Tools to Manage your Memcached networks.
- .
- This package provides the libmemcachedprotocol shared library.
-
 Package: libhashkit2
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Conflicts: libhashkit1
 Description: libmemcached hashing functions and algorithms
  libhashkit is a small and thread-safe client library that provides a
  collection of useful hashing algorithm. libhashkit is distributed with
@@ -186,7 +158,7 @@
  .
    * memccat - Copy the value of a key to standard output
    * memcflush - Flush the contents of your servers.
-   * memcrm - Remove a key(s) from the serrver.
-   * memccp - Copy files to a memached server.
+   * memcrm - Remove a key(s) from the server.
+   * memccp - Copy files to a memcached server.
    * memcstat - Dump the stats of your servers to standard output
    * memcslap - Generate testing loads on a memcached cluster

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,14 @@
 override_dh_auto_install:
 	dh_auto_install
 	# Naming conflict: rename commandline programs
-	for memfile in $(TMP)/usr/bin/mem* $(TMP)/usr/share/man/man1/mem*.1 ; do \
+	for memfile in $(TMP)/usr/bin/mem*; do \
+		mv $$memfile `echo $$memfile | sed 's/\bmem/memc/'` ; \
+	done
+
+override_dh_installman:
+	dh_installman
+	# Naming conflict: rename commandline programs
+	for memfile in debian/libmemcached-tools/usr/share/man/man1/mem*.1; do \
 		mv $$memfile `echo $$memfile | sed 's/\bmem/memc/'` ; \
 	done

## libmemcached 1.1.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9...3.18)

if(${CMAKE_VERSION} VERSION_LESS 3.12)
    cmake_policy(VERSION ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION})
endif()

include(CMakeVersions.txt)

project(libmemcached-awesome
        VERSION "${LIBMEMCACHED_VERSION}"
        DESCRIPTION "libmemcached-awesome, a C/C++ memcached client library"
        )
set(PROJECT_HOMEPAGE_URL "https://github.com/awesomized/libmemcached")
set(PROJECT_CONTACT "Michael Wallner <mike@php.net>")

set(CXX_STANDARD 11)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

set(GLOBAL_DEFINITIONS _GNU_SOURCE)

include(CMakeConfig.txt)
include(GNUInstallDirs)
list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/CMake")

if(BUILD_DOCS OR BUILD_DOCSONLY)
    add_subdirectory(docs)
endif()

if(NOT BUILD_DOCSONLY)
    include(CMake/_Include.cmake)

    set(CLIENTS
            capable
            cat
            cp
            dump
            error
            exist
            flush
            parse
            ping
            rm
            slap
            stat
            touch
            )

    add_subdirectory(include)
    add_subdirectory(src)
    add_subdirectory(contrib)
    add_subdirectory(support)

    # tests need c++17 support
    add_subdirectory(test)

    # keep last
    configure_file(${CONFIGURE_FILE_IN} ${CONFIGURE_FILE_OUT} @ONLY)
endif()

list(APPEND PROJECT_CONFIG ${CMAKE_SYSTEM_NAME} ${CMAKE_SYSTEM_PROCESSOR})
list(APPEND PROJECT_CONFIG ${CMAKE_CXX_COMPILER_ID} ${CMAKE_CXX_COMPILER_VERSION})
list(APPEND PROJECT_CONFIG ${CMAKE_BUILD_TYPE})

include(CPack.txt)

install(FILES
            AUTHORS
            BUGS.md
            ChangeLog-0.md
            ChangeLog-1.0.md
            ChangeLog-1.1.md
            CONTRIBUTING.md
            LICENSE
            NEWS
            README.md
            TODO
        COMPONENT doc
        DESTINATION ${CMAKE_INSTALL_DOCDIR}/
        )
if(NOT WIN32)
    # skip links on windows (cmake bug?)
    install(FILES
                ChangeLog
                ChangeLog.md
                COPYING
            COMPONENT doc
            DESTINATION ${CMAKE_INSTALL_DOCDIR}/
            )
endif()

if(ENV{INVALID_CONFIGURATION})
    message(FATAL_ERROR "invalid configuration -- giving up")
endif()

=== contrib/CMakeLists.txt ===
add_subdirectory(bin)

=== docs/CMakeLists.txt ===
find_package(Sphinx)

if(NOT SPHINX_EXECUTABLE)

    message(WARNING "The sphinx-build command is required to build documentation.")

else()

    if(NOT DEFINED SPHINX_OPTIONS)
        set(SPHINX_OPTIONS)
    endif()

    if(NOT DEFINED SPHINX_THEME)
        set(SPHINX_THEME sphinx_rtd_theme)
        set(SPHINX_THEME_OPTIONS "'collapse_navigation':False, 'navigation_depth':2, 'titles_only':False, 'includehidden':False")
    endif()

    set(SPHINX_SOURCE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/source")

    # configured documentation tools and intermediate build results
    set(SPHINX_BUILD_DIR "${CMAKE_CURRENT_BINARY_DIR}")

    # Sphinx cache with pickled ReST documents
    set(SPHINX_CACHE_DIR "${SPHINX_BUILD_DIR}/_doctrees")

    # HTML output directory
    set(SPHINX_HTML_DIR "${SPHINX_BUILD_DIR}/html")

    # MAN output directory
    set(SPHINX_MAN_DIR "${SPHINX_BUILD_DIR}/man")

    configure_file("conf.py.in" "conf.py" @ONLY)
    add_subdirectory(source)

    file(GLOB_RECURSE DOCS_SOURCE
            CONFIGURE_DEPENDS
            "*.rst")

    if(BUILD_DOCS_HTML)
        add_custom_command(
                OUTPUT "${SPHINX_HTML_DIR}"
                COMMAND
                    ${SPHINX_EXECUTABLE}
                    -q -b html
                    -c "${SPHINX_BUILD_DIR}"
                    -d "${SPHINX_CACHE_DIR}"
                    ${SPHINX_OPTIONS}
                    "${SPHINX_SOURCE_DIR}"
                    "${SPHINX_HTML_DIR}"
                COMMAND
                    ${CMAKE_COMMAND} -E touch "${SPHINX_HTML_DIR}"
                BYPRODUCTS ${SPHINX_HTML_DIR}
                DEPENDS "${DOCS_SOURCE}" conf.py.in
                )
        add_custom_target(html ALL DEPENDS "${SPHINX_HTML_DIR}")

        install(DIRECTORY ${SPHINX_HTML_DIR}/
                COMPONENT doc
                DESTINATION ${CMAKE_INSTALL_DOCDIR}/html)
    endif()

    if(BUILD_DOCS_MAN)
        add_custom_command(
                OUTPUT ${SPHINX_MAN_DIR}
                COMMAND
                    ${SPHINX_EXECUTABLE}
                    -q -b man
                    -c "${SPHINX_BUILD_DIR}"
                    -d "${SPHINX_CACHE_DIR}"
                    ${SPHINX_OPTIONS}
                    "${SPHINX_SOURCE_DIR}"
                    "${SPHINX_MAN_DIR}"
                COMMAND
                    ${CMAKE_COMMAND} -E touch "${SPHINX_MAN_DIR}"
                BYPRODUCTS ${SPHINX_MAN_DIR}
                DEPENDS "${DOCS_SOURCE}" conf.py.in
                )
        add_custom_target(man ALL DEPENDS "${SPHINX_MAN_DIR}")

        set(MAN_EXT "")
        if(BUILD_DOCS_MANGZ)
            find_program(PIGZ pigz)
            if(PIGZ)
                set(GZIP ${PIGZ})
            else()
                find_package(UnixCommands)
            endif()
            if(GZIP)
                set(MAN_EXT ".gz")
                add_custom_target(man_gz ALL
                        COMMAND ${GZIP} -kf
                            ${SPHINX_MAN_DIR}/*.1
                            ${SPHINX_MAN_DIR}/*.3
                        DEPENDS ${SPHINX_MAN_DIR}
                        ) # some shells do not support braced glob patterns
            endif()
        endif()

        install(DIRECTORY ${SPHINX_MAN_DIR}/
                COMPONENT doc
                DESTINATION ${CMAKE_INSTALL_MANDIR}/man1
                FILES_MATCHING PATTERN *.1${MAN_EXT}
                )
        install(DIRECTORY ${SPHINX_MAN_DIR}/
                COMPONENT doc
                DESTINATION ${CMAKE_INSTALL_MANDIR}/man3
                FILES_MATCHING PATTERN *.3${MAN_EXT}
                )
    endif()

endif()

=== src/CMakeLists.txt ===
add_subdirectory(p9y)

add_subdirectory(bin)
add_subdirectory(libhashkit)
add_subdirectory(libmemcached)
add_subdirectory(libmemcachedutil)
add_subdirectory(libmemcachedprotocol)

=== support/CMakeLists.txt ===

install(FILES ax_libmemcached.m4
        COMPONENT dev
        DESTINATION ${CMAKE_INSTALL_DATADIR}/aclocal
        )

configure_file(example.cnf.in example.cnf @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/example.cnf
        COMPONENT dev
        DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}
        )

pkgconfig_import(REQUIRES)
pkgconfig_import(REQUIRES_PRIVATE)
configure_file(libmemcached.pc.in libmemcached.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libmemcached.pc
        COMPONENT dev
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
        )

if(BUILD_TESTING)
    set(LIBMEMCACHED_WITH_SASL_PWDB "${CMAKE_CURRENT_BINARY_DIR}/memcached.pwdb" PARENT_SCOPE)
    set(LIBMEMCACHED_WITH_SASL_CONF "${CMAKE_CURRENT_BINARY_DIR}" PARENT_SCOPE)

    cmake_host_system_information(RESULT HOSTNAME QUERY HOSTNAME)
    configure_file(memcached.pwdb.in memcached.pwdb @ONLY)
    configure_file(memcached.conf.in memcached.conf @ONLY)
endif()

configure_package_config_file(libmemcached-config.cmake.in
        libmemcached-config.cmake
        INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
write_basic_package_version_file(libhashkit-version.cmake
        VERSION ${LIBHASHKIT_VERSION}
        COMPATIBILITY SameMajorVersion)
write_basic_package_version_file(libmemcached-version.cmake
        VERSION ${LIBMEMCACHED_VERSION}
        COMPATIBILITY SameMajorVersion)
write_basic_package_version_file(libmemcachedprotocol-version.cmake
        VERSION ${LIBMEMCACHEDPROTOCOL_VERSION}
        COMPATIBILITY SameMajorVersion)
write_basic_package_version_file(libmemcachedutil-version.cmake
        VERSION ${LIBMEMCACHEDUTIL_VERSION}
        COMPATIBILITY SameMajorVersion)
install(FILES
        ${CMAKE_CURRENT_BINARY_DIR}/libmemcached-config.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/libhashkit-version.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/libmemcached-version.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/libmemcachedprotocol-version.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/libmemcachedutil-version.cmake
        COMPONENT dev
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}/)

=== test/CMakeLists.txt ===
if(NOT BUILD_TESTING OR NOT CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME)
    return()
endif()

configure_init(${CMAKE_CURRENT_BINARY_DIR}/conf.h)
configure_append("#define MEMCACHED_BINARY getenv_else(\"MEMCACHED_BINARY\", \"@MEMCACHED_BINARY@\")\n")
configure_define_string(TESTING_ROOT)
configure_define_string(SOURCES_ROOT)
configure_define_string(LIBMEMCACHED_WITH_SASL_PWDB)
configure_define_string(LIBMEMCACHED_WITH_SASL_CONF)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/CMake")
include(Catch)

check_symbol(pipe2 unistd.h)
check_symbol(SOCK_NONBLOCK sys/socket.h)
check_symbol(SOCK_CLOEXEC sys/socket.h)
check_include(sys/wait.h)
check_symbol(waitid sys/wait.h)
if(HAVE_WAITID)
    check_c_source("
            #include <sys/types.h>
            #include <sys/wait.h>
            int main() {
                siginfo_t s;
                return waitid(P_ALL, 0, &s, WNOWAIT|WEXITED);
            }"
            HAVE_WAITID_NOWAIT
    )
endif()
if(NOT HAVE_SYS_WAIT_H)
    message(SEND_ERROR "Could not find header <sys/wait.h>")
    set(ENV{INVALID_CONFIGURATION} 1)
endif()

# memcached(1)
if(NOT MEMCACHED_BINARY)
    find_package(Memcached)
    set(MEMCACHED_BINARY ${MEMCACHED_EXECUTABLE})
endif()
if(NOT MEMCACHED_BINARY)
    message(SEND_ERROR "Could not find memcached(1) binary")
    set(ENV{INVALID_CONFIGURATION} 1)
endif()

add_executable(timeout timeout.c)
target_include_directories(timeout PRIVATE ${CMAKE_BINARY_DIR})

file(GLOB_RECURSE TESTING_SRC RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.cpp)
set(TESTING_ROOT "${CMAKE_CURRENT_BINARY_DIR}")
set(SOURCES_ROOT "${CMAKE_SOURCE_DIR}")
set_source_files_properties(main.cpp PROPERTIES SKIP_UNITY_BUILD_INCLUSION ON)
add_executable(runtests ${TESTING_SRC})
set_target_properties(runtests PROPERTIES CXX_STANDARD 17)
target_include_directories(runtests PRIVATE
        ${CMAKE_SOURCE_DIR}
        ${CMAKE_BINARY_DIR}
        ${CMAKE_SOURCE_DIR}/src
        ${CMAKE_BINARY_DIR}/src)
target_link_libraries(runtests PRIVATE libhashkit libmemcachedinternal libmemcachedutil)

# parallelism
if(NOT (thread IN_LIST ENABLE_SANITIZERS))
    include(CheckCpp17Parallelism)
    if(HAVE_CPP17_PARALLELISM)
        target_link_libraries(runtests PRIVATE cpp17::parallelism)
    endif()
endif()

add_dependencies(runtests ${CLIENTS} timeout)
if(TARGET memaslap)
    configure_set(HAVE_MEMASLAP 1)
    add_dependencies(runtests aslap)
endif()

configure_file(${CONFIGURE_FILE_IN} ${CONFIGURE_FILE_OUT} @ONLY)

catch_discover_tests(runtests TEST_SPEC "lib*,hashkit*,memcached*,bin/*")

=== include/libhashkit-1.0/CMakeLists.txt ===

install_public_headers(
        libhashkit-1.0

        @configure.h
        algorithm.h
        basic_string.h
        behavior.h
        digest.h
        function.h
        has.h
        hashkit.h
        hashkit.hpp
        str_algorithm.h
        strerror.h
        string.h
        types.h
        visibility.h
        )

=== include/libmemcached-1.0/CMakeLists.txt ===

add_subdirectory(struct)
add_subdirectory(types)

install_public_headers(
        libmemcached-1.0

        @configure.h
        alloc.h
        allocators.h
        analyze.h
        auto.h
        basic_string.h
        behavior.h
        callback.h
        callbacks.h
        defaults.h
        delete.h
        deprecated_types.h
        dump.h
        encoding_key.h
        error.h
        exception.hpp
        exist.h
        fetch.h
        flush_buffers.h
        flush.h
        get.h
        hash.h
        limits.h
        memcached.h
        memcached.hpp
        options.h
        parse.h
        platform.h
        quit.h
        result.h
        return.h
        sasl.h
        server.h
        server_list.h
        stats.h
        storage.h
        strerror.h
        touch.h
        triggers.h
        types.h
        verbosity.h
        version.h
        visibility.h
        )

=== include/libmemcachedprotocol-0.0/CMakeLists.txt ===

install_public_headers(
        libmemcachedprotocol-0.0

        @configure.h
        binary.h
        callback.h
        handler.h
        vbucket.h
)

=== include/libmemcachedutil-1.0/CMakeLists.txt ===

install_public_headers(
        libmemcachedutil-1.0

        flush.h
        ostream.hpp
        pid.h
        ping.h
        pool.h
        util.h
        version.h
        )

=== src/bin/CMakeLists.txt ===
add_subdirectory(common)

foreach(CLIENT IN LISTS CLIENTS)
    add_executable(${CLIENT} mem${CLIENT}.cc)
    set_target_properties(${CLIENT} PROPERTIES CXX_STANDARD ${CXX_STANDARD} OUTPUT_NAME ${CLIENT_PREFIX}${CLIENT})
    target_include_directories(${CLIENT} PRIVATE ..)
    target_link_libraries(${CLIENT} PRIVATE libclient_common)
    if(CMAKE_INSTALL_RPATH)
        set_target_properties(${CLIENT} PROPERTIES
                INSTALL_RPATH ${CMAKE_INSTALL_RPATH}/../${CMAKE_INSTALL_LIBDIR})
    endif()
    install(TARGETS ${CLIENT} RUNTIME COMPONENT bin DESTINATION ${CMAKE_INSTALL_BINDIR})
endforeach()

# extra sources

target_sources(capable PRIVATE ../libmemcached/byteorder.cc)

# extra libs

target_link_libraries(ping PRIVATE libmemcachedutil)
target_link_libraries(slap PRIVATE Threads::Threads)

=== src/libmemcached/CMakeLists.txt ===
find_package(FLEX)
find_package(BISON 2.3)

if("${BISON_VERSION}" VERSION_GREATER_EQUAL 3.0)
    set(BISON_WARNINGS -Wno-deprecated)
endif()

file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/csl)
bison_target(CSL_PARSER csl/parser.yy ${CMAKE_CURRENT_BINARY_DIR}/csl/parser.cc
        DEFINES_FILE ${CMAKE_CURRENT_BINARY_DIR}/csl/parser.h
        COMPILE_FLAGS ${BISON_WARNINGS}
        )
set_source_files_properties(${BISON_CSL_PARSER_OUTPUTS} PROPERTIES
        SKIP_UNITY_BUILD_INCLUSION ON)
if(NOT HAVE_UNISTD_H)
    set(FLEX_FLAGS --nounistd)
endif()
flex_target(CSL_SCANNER csl/scanner.l ${CMAKE_CURRENT_BINARY_DIR}/csl/scanner.cc
        DEFINES_FILE ${CMAKE_CURRENT_BINARY_DIR}/csl/scanner.h
        COMPILE_FLAGS "${FLEX_FLAGS}"
        )
set_source_files_properties(${FLEX_CSL_SCANNER_OUTPUTS} PROPERTIES
        SKIP_UNITY_BUILD_INCLUSION ON)
add_flex_bison_dependency(CSL_SCANNER CSL_PARSER)

set(libmemcached_sources
        csl/context.cc
        ${FLEX_CSL_SCANNER_OUTPUTS}
        ${BISON_CSL_PARSER_OUTPUTS}
        allocators.cc
        analyze.cc
        array.cc
        auto.cc
        backtrace.cc
        behavior.cc
        byteorder.cc
        callback.cc
        common.h
        connect.cc
        delete.cc
        do.cc
        dump.cc
        encoding_key.cc
        error.cc
        exist.cc
        fetch.cc
        flag.cc
        flush.cc
        flush_buffers.cc
        get.cc
        hash.cc
        hosts.cc
        initialize_query.cc
        instance.cc
        io.cc
        key.cc
        memcached.cc
        namespace.cc
        options.cc
        parse.cc
        purge.cc
        quit.cc
        response.cc
        result.cc
        sasl.cc
        server.cc
        server_list.cc
        stats.cc
        storage.cc
        strerror.cc
        string.cc
        touch.cc
        udp.cc
        verbosity.cc
        version.cc
        virtual_bucket.cc)

check_cxx_compiler_flag(-Wno-deprecated-register W_NO_DEPRECATED_REGISTER)

if(W_NO_DEPRECATED_REGISTER)
        set_source_files_properties(
                ${FLEX_CSL_SCANNER_OUTPUTS}
                ${BISON_CSL_PARSER_OUTPUTS}
                PROPERTIES COMPILE_OPTIONS -Wno-deprecated-register
        )
endif()

add_library(libmemcached)
add_library(memcached ALIAS libmemcached)
set_target_properties(libmemcached PROPERTIES
        CXX_STANDARD ${CXX_STANDARD}
        OUTPUT_NAME memcached
        OUTPUT_NAME_DEBUG memcached-dbg
        SOVERSION ${LIBMEMCACHED_SO_SOVERSION}
        VERSION ${LIBMEMCACHED_SO_VERSION})
target_compile_definitions(libmemcached PRIVATE -DBUILDING_LIBMEMCACHED)
target_link_libraries(libmemcached PUBLIC libhashkit Threads::Threads ${CMAKE_DL_LIBS})
target_link_libraries(libmemcached PRIVATE p9y)
if(MSVC)
    target_link_libraries(libmemcached PUBLIC wsock32 ws2_32)
endif()
if(HAVE_BACKTRACE)
    target_link_libraries(libmemcached PUBLIC ${BACKTRACE})
endif()
if(HAVE_LIBSASL)
    target_link_libraries(libmemcached PUBLIC ${LIBSASL})
endif()
if(CMAKE_CXX_COMPILER_ID STREQUAL "SunPro")
    # see https://docs.oracle.com/cd/E77782_01/html/E77789/bkamq.html#OSSCPgrxeu
    target_link_libraries(libmemcached INTERFACE stdc++ gcc_s CrunG3 c)
endif()
target_include_directories(libmemcached PRIVATE
        ${CMAKE_SOURCE_DIR}/src
        ${CMAKE_BINARY_DIR}/src
        ${CMAKE_BINARY_DIR})
target_include_directories(libmemcached PUBLIC
        $<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/include>
        $<BUILD_INTERFACE:${CMAKE_BINARY_DIR}/include>
        $<INSTALL_INTERFACE:include>)

enable_dtrace_for(libmemcached libmemcached_probes.d dtrace_probes.h)

install(TARGETS libmemcached EXPORT libmemcached-targets
        RUNTIME COMPONENT bin DESTINATION ${CMAKE_INSTALL_BINDIR}
        ARCHIVE COMPONENT lib DESTINATION ${CMAKE_INSTALL_LIBDIR}
        LIBRARY COMPONENT lib DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ${TARGET_NAMELINK_COMPONENT}
        )
export(EXPORT libmemcached-targets NAMESPACE libmemcached::)
install(EXPORT libmemcached-targets NAMESPACE libmemcached::
        COMPONENT dev
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})

install_public_headers(
        libmemcached

        memcached.h
        memcached.hpp
        util.h
        )

target_sources(libmemcached PRIVATE
        ${libmemcached_sources}
        ${libmemcached_includes})

# TODO: do we really need this?

add_library(libmemcachedinternal STATIC)
add_library(memcachedinternal ALIAS libmemcachedinternal)
set_target_properties(libmemcachedinternal PROPERTIES CXX_STANDARD ${CXX_STANDARD} OUTPUT_NAME memcachedinternal)
target_compile_definitions(libmemcachedinternal PRIVATE -DBUILDING_LIBMEMCACHEDINTERNAL)
target_link_libraries(libmemcachedinternal PUBLIC libhashkit Threads::Threads ${CMAKE_DL_LIBS})
target_link_libraries(libmemcachedinternal PRIVATE p9y)
if(MSVC OR MINGW)
    target_link_libraries(libmemcached PUBLIC wsock32 ws2_32)
endif()
if(HAVE_LIBSASL)
    target_link_libraries(libmemcachedinternal PUBLIC ${LIBSASL})
endif()
if(HAVE_BACKTRACE)
    target_link_libraries(libmemcachedinternal PUBLIC ${BACKTRACE})
endif()
target_include_directories(libmemcachedinternal PRIVATE
        ${CMAKE_SOURCE_DIR}/src
        ${CMAKE_BINARY_DIR}/src
        ${CMAKE_BINARY_DIR})
target_include_directories(libmemcachedinternal PUBLIC
        $<BUILD_INTERFACE:${CMAKE_SOURCE_DIR}/include>
        $<BUILD_INTERFACE:${CMAKE_BINARY_DIR}/include>
        $<INSTALL_INTERFACE:include>)

enable_dtrace_for(libmemcachedinternal libmemcached_probes.d dtrace_probes.h)

# let libmemcached depend on libmemcachedinternal to ensure that they do not
# compete for the same generated dependencies
add_dependencies(libmemcached libmemcachedinternal)

target_sources(libmemcachedinternal PRIVATE
        ${libmemcached_sources}
        ${libmemcached_includes})

=== debian/changelog ===
libmemcached (1.1.4-1.1build4) questing; urgency=medium

  * No-change rebuild for IEEE long double on ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 22 Sep 2025 11:21:14 +0000

libmemcached (1.1.4-1.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:16:06 +0000

libmemcached (1.1.4-1.1build2) noble; urgency=medium

  * No-change rebuild against libevent-2.1-7t64

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 29 Mar 2024 17:22:27 +0100

libmemcached (1.1.4-1.1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:24:57 +0000

libmemcached (1.1.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062415

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 14:05:21 +0000

libmemcached (1.1.4-1) unstable; urgency=high

  * New upstream version 1.1.4

 -- Ondřej Surý <ondrej@debian.org>  Mon, 06 Mar 2023 19:38:02 +0100

libmemcached (1.1.3-3) unstable; urgency=medium

  * Prevent libmemcachedutil underlinking by removing the conditional
    around target_link_libraries (Closes: #1031450)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 23 Feb 2023 01:50:44 +0100

libmemcached (1.1.3-2) unstable; urgency=medium

  * Add Breaks + Replaces: libhashkit2 (<< 1.1.3-1~) to libhashkit-dev
    (Closes: #1030824)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 07 Feb 2023 20:58:11 +0100

libmemcached (1.1.3-1) unstable; urgency=medium

  * Add stricter cmake >= 3.12.0 dependency

 -- Ondřej Surý <ondrej@debian.org>  Tue, 07 Feb 2023 11:57:02 +0100

libmemcached (1.1.3-1~exp1) experimental; urgency=medium

  * New upstream version 1.1.3
  * Update the install files
  * Update the packaging for new cmake build system
  * Add cmake to B-D
  * Remove obsolete upstream patches

 -- Ondřej Surý <ondrej@debian.org>  Sun, 05 Feb 2023 11:27:37 +0100

libmemcached (1.0.18+-1) unstable; urgency=medium

  * Use official upstream tarball for libmemcached 1.0.18
  * Do dbgsym transition
  * Move the dh_missing and dh_strip options to the top generic rule
  * Install usr/share/aclocal/ax_libmemcached.m4, ignore all .la files
  * Bump the d/compat to 13
  * Change the VCS to salsa.d.o
  * Add d/gbp.conf for main branch
  * Update Michael's email address, to @d.o address
  * Make myself a maintainer with Michael's blessing, keep Michael
    as co-maintainer

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 Oct 2022 15:54:57 +0200

libmemcached (1.0.18-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with GCC 7. Closes: #853497.
  * Mark -dev packages as M-A: same.

 -- Matthias Klose <doko@debian.org>  Wed, 11 Oct 2017 09:19:11 +0200

libmemcached (1.0.18-4.1) unstable; urgency=medium

  * Non maintainer upload.
  * Remove build dependency on libcloog-ppl-dev. Closes: #807172.
  * Fix parallel build. Closes: #714084.
  * Don't try to build docs and manual pages. Closes: #807171.

 -- Matthias Klose <doko@debian.org>  Mon, 07 Dec 2015 21:37:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,32 @@
 Source: libmemcached
 Priority: optional
-Maintainer: Michael Fladischer <FladischerMichael@fladi.at>
-Build-Depends: autoconf,
-               automake,
-               debhelper (>= 9),
-               dh-autoreconf,
-               libcloog-ppl-dev,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ondřej Surý <ondrej@debian.org>
+Uploaders: Michael Fladischer <fladi@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5), bison,
+               cmake (>= 3.12.0),
+               debhelper-compat (= 13),
+               flex,
                libevent-dev,
                libsasl2-dev,
-               libtool
-Standards-Version: 3.9.6
+               libssl-dev,
+               pkg-config,
+               python3-sphinx
+Standards-Version: 4.5.1
 Section: libs
-Homepage: http://libmemcached.org/libMemcached.html
-Vcs-Git: git://anonscm.debian.org/collab-maint/libmemcached.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/libmemcached.git
+Homepage: https://awesomized.github.io/libmemcached/
+Vcs-Git: https://salsa.debian.org/debian/libmemcached.git
+Vcs-Browser: https://salsa.debian.org/debian/libmemcached
 
-Package: libmemcached11
+Package: libmemcached11t64
+Provides: ${t64:Provides}
+Replaces: libmemcached11
+Breaks: libmemcached11 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: C and C++ client library to the memcached server
  libmemcached is a C and C++ client library to the memcached server
  (http://memcached.org/). It has been designed to be light on memory
@@ -42,9 +49,10 @@
 Package: libmemcached-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libhashkit-dev (=${binary:Version}),
-         libmemcached11 (= ${binary:Version}),
-         libmemcachedutil2 (= ${binary:Version}),
+         libmemcached11t64 (= ${binary:Version}),
+         libmemcachedutil2t64 (= ${binary:Version}),
          libsasl2-dev,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -67,40 +75,16 @@
  .
  This package provides the development files.
 
-Package: libmemcached-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends: libhashkit2 (=${binary:Version}),
-         libmemcached11 (= ${binary:Version}),
-         libmemcachedutil2 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: Debug Symbols for libmemcached
- libmemcached is a C and C++ client library to the memcached server
- (http://memcached.org/). It has been designed to be light on memory
- usage, thread safe, and provide full access to server side methods.
- .
- A few notes on its design:
- .
-   * Synchronous and Asynchronous support.
-   * Access to large object support.
-   * Local replication.
-   * TCP and Unix Socket protocols.
-   * A half dozen or so different tuneable hash algorithms.
-   * Implementations of the new cas, replace, and append operators.
-   * Man pages written up on entire API.
-   * Implements both modulo and consistent hashing solutions.
-   * Tools to Manage your Memcached networks.
- .
- This package provides debug symbols.
-
-Package: libmemcachedutil2
+Package: libmemcachedutil2t64
+Provides: ${t64:Provides}
+Replaces: libmemcachedutil2
+Breaks: libmemcachedutil2 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libmemcached11t64 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: library implementing connection pooling for libmemcached
  libmemcached is a C and C++ client library to the memcached server
  (http://memcached.org/). It has been designed to be light on memory
@@ -120,11 +104,15 @@
  .
  This package provides the libmemcachedutil library.
 
-Package: libhashkit2
+Package: libhashkit2t64
+Provides: ${t64:Provides}
+Replaces: libhashkit2
+Breaks: libhashkit2 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: libmemcached hashing functions and algorithms
  libhashkit is a small and thread-safe client library that provides a
  collection of useful hashing algorithm. libhashkit is distributed with
@@ -135,9 +123,14 @@
 Package: libhashkit-dev
 Section: libdevel
 Architecture: any
-Replaces: libmemcached-dev (<< 1.0.3-1)
-Breaks: libmemcached-dev (<< 1.0.3-1)
-Depends: libhashkit2 (=${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
+Replaces: libhashkit2t64 (<< 1.1.3-1~),
+          libmemcached-dev (<< 1.0.3-1)
+Breaks: libhashkit2t64 (<< 1.1.3-1~),
+        libmemcached-dev (<< 1.0.3-1)
+Depends: libhashkit2t64 (=${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: libmemcached hashing functions and algorithms (development files)
  libhashkit is a small and thread-safe client library that provides a
  collection of useful hashing algorithm. libhashkit is distributed with
@@ -148,7 +141,8 @@
 Package: libmemcached-tools
 Section: utils
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: Commandline tools for talking to memcached via libmemcached
  libmemcached is a C and C++ client library to the memcached server
  (http://memcached.org/). It has been designed to be light on memory

=== debian/rules ===
#!/usr/bin/make -f

TMP=$(CURDIR)/debian/tmp/

%:
	dh $@ --with autoreconf -X.la -Xlibp9y.a -Xlibmemcached-awesome -Xlibmemcachedprotocol.so -Xlibmemcachedprotocol-0.0 -O--dbgsym-migration='libmemcached-dbg (<< 1.0.18-5~)' --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure --buildsystem=cmake -- \
		-DBUILD_DOCS=yes \
		-DBUILD_DOCS_HTML=no \
		-DBUILD_DOCS_MAN=yes \
		-DENABLE_SASL=yes \
		-DENABLE_OPENSSL_CRYPTO=yes \
		-DCMAKE_EXPORT_NO_PACKAGE_REGISTRY=yes

override_dh_auto_install:
	dh_auto_install
	# Naming conflict: rename commandline programs
	for memfile in $(TMP)/usr/bin/mem*; do \
		mv $$memfile `echo $$memfile | sed 's/\bmem/memc/'` ; \
	done
	for memfile in $(TMP)/usr/share/man/man1/mem*.1.gz; do \
		mv $$memfile `echo $$memfile | sed 's/\bmem/memc/'` ; \
	done
	rm -rf $(TMP)/usr/lib/*/cmake/libmemcached-awesome/
	rm -rf $(TMP)/usr/share/doc/libmemcached-awesome/

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_auto_test:

get-orig-source:
	uscan --verbose --force-download --rename --repack --destdir=..

=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
https://api.github.com/repos/awesomized/libmemcached/releases?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@
